From 8155e58ba1c8c26a2cb37ad054272359a507a928 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 11 2020 07:15:12 +0000
Subject: [PATCH 609/2232] Treat unexpected tokens in repr attribute as unexpected repr


---

diff --git a/syntax/attrs.rs b/syntax/attrs.rs
index 16541a3..4c76641 100644
--- a/syntax/attrs.rs
+++ b/syntax/attrs.rs
@@ -88,7 +88,9 @@ fn parse_repr_attribute(input: ParseStream) -> Result<Atom> {
     let ident: Ident = input.parse()?;
     if let Some(atom) = Atom::from(&ident) {
         match atom {
-            U8 | U16 | U32 | U64 | Usize | I8 | I16 | I32 | I64 | Isize => return Ok(atom),
+            U8 | U16 | U32 | U64 | Usize | I8 | I16 | I32 | I64 | Isize if input.is_empty() => {
+                return Ok(atom);
+            }
             _ => {}
         }
     }

